use serde::Deserialize;

#[derive(Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct ArticleListParams {
    pub page_no: Option<u64>,
    pub page_size: Option<u64>,
    pub cid: Option<u32>,
    pub sort: Option<String>,
    pub keyword: Option<String>,
}

#[derive(Deserialize)]
#[serde(rename_all = "camelCase")]
pub struct ArticleDetailParams {
    pub id: String,
}
